Skip to main content
DELETE
/
api
/
v0
/
commands
/
rclone
cancel sync
curl --request DELETE \
  --url https://console.vast.ai/api/v0/commands/rclone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "dst_id": 123
}'
import requests

url = "https://console.vast.ai/api/v0/commands/rclone"

payload = { "dst_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dst_id: 123})
};

fetch('https://console.vast.ai/api/v0/commands/rclone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "msg": "Remote copy canceled - check instance status bar for progress updates (~30 seconds delayed)."
}
{
"success": false,
"error": "invalid_args",
"msg": "Invalid dst_id."
}
{
"success": false,
"error": "no_such_instance",
"msg": "No such instance."
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
dst_id
integer
required

The destination instance ID of the sync operation to cancel.

Response

Sync operation canceled successfully.

success
boolean
Example:

true

msg
string
Example:

"Remote copy canceled - check instance status bar for progress updates (~30 seconds delayed)."